PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PSocket::Slice Struct Reference

Structure that defines a "slice" of memory to be written to. More...

`#include <socket.h>`

## Public Member Functions
| Slice ()
| Slice (void *v, size_t len)
void | SetBase (void *v)
void * | GetBase () const
void | SetLength (size_t v)
size_t | GetLength () const

## Protected Attributes
void * | iov_base
size_t | iov_len

## Detailed Description

Structure that defines a "slice" of memory to be written to.

## Constructor & Destructor Documentation

PSocket::Slice::Slice | ( |  | ) |
| inline

References SetBase(), and SetLength().

PSocket::Slice::Slice | ( | void * | v,
|  | size_t | len
| ) |  |
| inline

References SetBase(), and SetLength().

## Member Function Documentation

void* PSocket::Slice::GetBase | ( |  | ) | const
| inline

References iov_base.

size_t PSocket::Slice::GetLength | ( |  | ) | const
| inline

References iov_len.

void PSocket::Slice::SetBase | ( | void * | v | ) |
| inline

References iov_base.

Referenced by Slice().

void PSocket::Slice::SetLength | ( | size_t | v | ) |
| inline

References iov_len.

Referenced by Slice().

## Member Data Documentation

void* PSocket::Slice::iov_base
| protected

Referenced by GetBase(), and SetBase().

size_t PSocket::Slice::iov_len
| protected

Referenced by GetLength(), and SetLength().

The documentation for this struct was generated from the following file:

- socket.h